OracleVM 3.3 / 3.4 : libtirpc (OVMSA-2017-0108)

High Nessus Plugin ID 100399


The remote OracleVM host is missing a security update.


The remote OracleVM system is missing necessary patches to address critical security updates :

- Fix for CVE-2017-8779 (bz 1449458)

- tirpc: fix taddr2uaddr for AF_LOCAL (bz 1285144)

- clnt_vc_create: Do not hold a global mutex during connect (bz 1332520)

- Backported upstream debugging (bz 1273158)

- Fixed memory leak in svc_vc_create (bz 1276687)

- Fixed memory leak in svc_tli_create (bz 1276855)

- Fixed memory leak in __svc_vc_dodestroy (bz 1276856)

- xdr_rejected_reply: Don't crash with invalid server rejection (bz 982064)

- Fixed overrun in svcauth_gss_validate (bz 1056809)

- Added authgss_free_private_data call (bz 1082807)

- Fixed some races in getnetconfig code (bz 1031498)

- Remove the installation of libtirpc.a and (bz 869397)


Update the affected libtirpc package.

See Also

Plugin Details

Severity: High

ID: 100399

File Name: oraclevm_OVMSA-2017-0108.nasl

Version: $Revision: 3.3 $

Type: local

Published: 2017/05/25

Modified: 2018/01/29

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.8

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:F/RL:U/RC:ND


Base Score: 7.5

Temporal Score: 7.2

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:F/RL:U/RC:X

Vulnerability Information

CPE: p-cpe:/a:oracle:vm:libtirpc, cpe:/o:oracle:vm_server:3.3, cpe:/o:oracle:vm_server:3.4

Required KB Items: Host/local_checks_enabled, Host/OracleVM/release, Host/OracleVM/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/05/24

Reference Information

CVE: CVE-2017-8779

OSVDB: 157016, 157017